## python-oslo.db 0.3.0

=== requirements.txt ===
alembic>=0.4.1
Babel>=1.3
iso8601>=0.1.9
lockfile>=0.8
oslo.config>=1.2.1
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.9.1
stevedore>=0.14

=== debian/changelog ===
python-oslo.db (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Patches MANIFEST.in otherwise upstream setup.py is missing lots of files in
    the oslo/db/openstack folder.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 00:48:18 +0800

python-oslo.db (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #752621)

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jun 2014 16:11:40 +0800

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.1),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-lockfile (>= 0.8),
                     python-migrate (>= 0.9.1),
                     python-mysqldb,
                     python-oslo.config (>= 1.2.1),
                     python-oslosphinx,
                     python-oslotest,
                     python-psycopg2,
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.db.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.db.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.1),
         python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-lockfile (>= 0.8),
         python-migrate (>= 0.9.1),
         python-oslo.config (>= 1.2.1),
         python-sqlalchemy (>= 0.7.8),
         python-stevedore (>= 0.14),
         ${misc:Depends},
         ${python:Depends}
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.db oslo.db-(.*).tar.gz

## python-oslo.db 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.6.4
Babel>=1.3
iso8601>=0.1.9
oslo.i18n>=0.3.0  # Apache-2.0
oslo.config>=1.4.0.0a3
oslo.utils>=0.3.0                       # Apache-2.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.1,!=0.9.2
stevedore>=0.14

=== debian/changelog ===
python-oslo.db (1.0.0-0ubuntu1) utopic; urgency=medium

  * New usptream release.
  * debian/control: Add python-oslo.i18n dependency

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 11:36:46 -0400

python-oslo.db (0.4.0-0ubuntu1) utopic; urgency=medium

  * New upstream release to support OpenStack Juno b3:
    - d/control: Add new dependency on python-oslo.utils, bump version
      requirement for python-oslo.config.
  * d/watch: Fixup downloads from pypi.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Sep 2014 10:11:52 +0100

python-oslo.db (0.3.0-0ubuntu1) utopic; urgency=medium

  * New usptream release.
  * debian/patches/add-missing-files.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Jul 2014 10:22:56 -0400

python-oslo.db (0.2.0-1ubuntu1) utopic; urgency=medium

  * debian/patches/add-missing-files.patch: Add missing files
    from pypi tarball. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Jul 2014 10:01:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.db
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -20,10 +21,12 @@
                      python-lockfile (>= 0.8),
                      python-migrate (>= 0.9.1),
                      python-mysqldb,
-                     python-oslo.config (>= 1.2.1),
+                     python-oslo.config (>= 1:1.4.0.0~a3),
+                     python-oslo.utils (>= 0.1.1),
                      python-oslosphinx,
                      python-oslotest,
                      python-psycopg2,
+                     python-oslo.i18n,
                      python-sqlalchemy (>= 0.7.8),
                      python-stevedore (>= 0.14),
                      python-subunit (>= 0.0.18),
@@ -44,9 +47,11 @@
          python-iso8601 (>= 0.1.9),
          python-lockfile (>= 0.8),
          python-migrate (>= 0.9.1),
-         python-oslo.config (>= 1.2.1),
+         python-oslo.config (>= 1:1.4.0.0~a3),
+         python-oslo.utils (>= 0.1.1),
          python-sqlalchemy (>= 0.7.8),
          python-stevedore (>= 0.14),
+         python-oslo.i18n,
          ${misc:Depends},
          ${python:Depends}
 Description: database connectivity to the different backends and helper utils - Python 2.x

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.db.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)
export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.db; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-oslo.db; \
#	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit 'tests\.(?!.*test_db_api_without_installed_eventlet.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-oslo.db 1.7.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
alembic>=0.7.2
Babel>=1.3
iso8601>=0.1.9
oslo.i18n>=1.3.0  # Apache-2.0
oslo.config>=1.9.0  # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.1.0  # Apache-2.0
six>=1.9.0
testresources>=0.2.4
testscenarios>=0.4

=== debian/changelog ===
python-oslo.db (1.7.1-0ubuntu2) vivid; urgency=medium

  * d/pydist-overrides: Dropped, ignoring the dependencies on testscenarios
    and testresources causes failures at runtime in heat due to the way
    entry point dependency requirements are validated (LP: #1446507). 

 -- James Page <james.page@ubuntu.com>  Wed, 22 Apr 2015 17:58:08 +0100

python-oslo.db (1.7.1-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1444556):
    - debian/control: Update requirements.
    - debian/patches/fix-requirements.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Apr 2015 10:33:57 -0400

python-oslo.db (1.5.0-0ubuntu2) vivid; urgency=medium

  * d/p/fix-requirements.patch: Restore and refresh as this is still
    required as 0.9.2 of python-migrate is just fine in Ubuntu. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Mar 2015 12:54:44 +0000

python-oslo.db (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/patches/fix-requirements.patch: Dropped no longer
    needed.
  * debian/control: Add python-mock and python-testscenarious
  * debian/pydist-overrides: Blacklist testscenarios and testresources.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Mar 2015 12:10:06 -0500

python-oslo.db (1.4.1-0ubuntu3) vivid; urgency=medium

  * d/python-oslo-db-doc.doc-base: Update for new package name.
  * d/rules: Correct install paths for new package names.
  * d/control: Switch to using non-namespaced oslo packages.
  * d/control: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Feb 2015 14:20:10 +0000

python-oslo.db (1.4.1-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix broken Breaks/Replace. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2015 08:37:53 -0500

python-oslo.db (1.4.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * Transition to new namespace.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Feb 2015 13:43:08 -0500

python-oslo.db (1.2.0-0ubuntu2) vivid; urgency=medium

  * debian/patches/fix-requirements.patch: Adjust python-migrate
    requirements. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Jan 2015 11:02:31 -0500

python-oslo.db (1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 07 Dec 2014 21:22:16 -0500

python-oslo.db (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Nov 2014 09:59:50 -0600

=== debian/control ===
--- 
+++ 
@@ -20,38 +20,42 @@
                      python-iso8601 (>= 0.1.9),
                      python-lockfile (>= 0.8),
                      python-migrate (>= 0.9.1),
+                     python-mock,
                      python-mysqldb,
-                     python-oslo.config (>= 1:1.4.0.0~a3),
-                     python-oslo.utils (>= 0.1.1),
+                     python-oslo-config (>= 1:1.9.0),
+                     python-oslo-i18n,
+                     python-oslo-utils (>= 0.1.1),
                      python-oslosphinx,
                      python-oslotest,
                      python-psycopg2,
-                     python-oslo.i18n,
                      python-sqlalchemy (>= 0.7.8),
                      python-stevedore (>= 0.14),
                      python-subunit (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 0.9.34),
                      subunit (>= 0.0.18),
+                     python-testresources,
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.db.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.db.git
 Homepage: http://launchpad.net/oslo
 
-Package: python-oslo.db
+Package: python-oslo-db
 Architecture: all
+Breaks: python-oslo.db (<< 1.4.1-0ubuntu1~)
+Replaces: python-oslo.db (<< 1.4.1-0ubuntu1~)
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: alembic (>= 0.4.1),
          python-babel (>= 1.3),
          python-iso8601 (>= 0.1.9),
          python-lockfile (>= 0.8),
          python-migrate (>= 0.9.1),
-         python-oslo.config (>= 1:1.4.0.0~a3),
-         python-oslo.utils (>= 0.1.1),
+         python-oslo-config (>= 1:1.9.0),
+         python-oslo-i18n,
+         python-oslo-utils (>= 0.1.1),
          python-sqlalchemy (>= 0.7.8),
          python-stevedore (>= 0.14),
-         python-oslo.i18n,
          ${misc:Depends},
          ${python:Depends}
 Description: database connectivity to the different backends and helper utils - Python 2.x
@@ -61,9 +65,11 @@
  .
  This package contains the Python 2.x module.
 
-Package: python-oslo.db-doc
+Package: python-oslo-db-doc
 Section: doc
 Architecture: all
+Breaks: python-oslo.db-doc (<< 1.4.1-0ubuntu1~)
+Replaces: python-oslo.db-doc (<< 1.4.1-0ubuntu1~)
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: database connectivity to the different backends and helper utils - doc
@@ -72,3 +78,17 @@
  helper utils.
  .
  This package contains the documentation.
+
+Package: python-oslo.db
+Section: oldlibs
+Architecture: all
+Depends: python-oslo-db, ${misc:Depends}
+Description: transitional dummy package for python-oslo.concurrency
+ This transtional package is safe to remove.
+
+Package: python-oslo.db-doc
+Section: oldlibs
+Architecture: all
+Depends: python-oslo-db-doc, ${misc:Depends}
+Description: transitional dummy package for python3-oslo.concurrency
+ This transtional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.db; \
+			--root $(CURDIR)/debian/python-oslo-db; \
 	done
 #	set -e && for pyvers in $(PYTHON3S); do \
 #		python$$pyvers setup.py install --install-layout=deb \
@@ -40,7 +40,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
+	sphinx-build -b html doc/source debian/python-oslo-db-doc/usr/share/doc/python-oslo-db-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.db/ oslo.db-(.*).tar.gz

## python-oslo.db 2.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
alembic>=0.8.0
Babel>=1.3
iso8601>=0.1.9
oslo.i18n>=1.5.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
six>=1.9.0
testresources>=0.2.4
testscenarios>=0.4

=== debian/changelog ===
python-oslo.db (2.6.0-3~bpo8+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Thomas Goirand <jenkins@liberty-jessie.pkgs.mirantis.com>  Thu, 15 Oct 2015 19:37:57 +0000

python-oslo.db (2.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:32:40 +0000

python-oslo.db (2.6.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 07:58:23 +0000

python-oslo.db (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 00:20:03 +0200

python-oslo.db (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 08:43:12 +0000

python-oslo.db (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Priority: extra for transition packages.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 21:37:49 +0000

python-oslo.db (1.11.0-2) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * Rebuilt with new SQLA 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jul 2015 15:14:53 +0000

python-oslo.db (1.11.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use pypi.debian.net.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 11:26:35 +0100

python-oslo.db (1.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-db in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:51:45 +0100

python-oslo.db (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Uploading to unstable.
  * Standards-Versions: 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 21:20:12 +0100

python-oslo.db (1.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 22:31:26 +0800

python-oslo.db (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to Experimental before Jessie freeze.
  * Updated (build-)depends for this release.
  * Allow the unit tests to fail because they don't work with the namespace of
    oslo :(.
  * Added PYTHONPATH=. when generating sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2014 22:34:16 +0800

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-alembic (>= 0.8.0),
                     python-babel,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-iso8601,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mysqldb,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 2.1.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-alembic (>= 0.8.0),
                     python3-babel,
                     python3-eventlet (>= 0.17.4),
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-migrate (>= 0.9.6),
                     python3-mock (>= 1.3),
                     python3-mysqldb,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.utils (>= 2.1.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymysql,
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 0.9.9),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.6.1),
                     python3-testresources,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.db.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.db.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.0),
         python-alembic (>= 0.8.0),
         python-babel,
         python-iso8601,
         python-migrate (>= 0.9.6),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 2.1.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-testresources,
         python-testscenarios,
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.0),
         python3-alembic (>= 0.8.0),
         python3-babel,
         python3-iso8601,
         python3-migrate (>= 0.9.6),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.utils (>= 2.1.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 0.9.9),
         python3-stevedore (>= 1.5.0),
         python3-testresources,
         python3-testscenarios,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python-oslo-db
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.db,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-db
 This transitional package is safe to remove.

Package: python-oslo-db-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.db-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-db-doc
 This transitional package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.db.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)
export OSLO_LOCK_PATH=$(CURDIR)/debian/

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.db; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.db; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*test_db_api_without_installed_eventlet.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.db-doc/usr/share/doc/python-oslo.db-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-oslo.db 4.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
oslo.i18n>=2.1.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.db (4.7.0-2ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/sqlalchemy_default_mysql_dialect.patch: Adjust tests to account
      for Ubuntu sqlalchemy default mysql dialect being pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Apr 2016 17:02:36 -0400

python-oslo.db (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:57:27 +0000

python-oslo.db (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:22:03 +0200

python-oslo.db (4.6.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/sqlalchemy_default_mysql_dialect.patch: Adjust tests to account
      for Ubuntu sqlalchemy default mysql dialect being pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2016 12:02:41 -0500

python-oslo.db (4.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:11:15 +0000

python-oslo.db (4.3.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/sqlalchemy_default_mysql_dialect.patch: Adjust tests to account
      for Ubuntu sqlalchemy default mysql dialect being pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jan 2016 14:15:03 -0500

python-oslo.db (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop python{3,}-mysqldb build-depends.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:11:17 +0000

python-oslo.db (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed MANIFEST.in patch.
  * Also run tests in Python 3.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:55:45 +0000

python-oslo.db (4.0.0-1ubuntu2) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/sqlalchemy_default_mysql_dialect.patch: Adjust tests to account
      for Ubuntu sqlalchemy default mysql dialect being pymysql.
    - d/control: Drop python(3)-mysqldb BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2015 09:12:48 -0500

python-oslo.db (4.0.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/p/sqlalchemy_default_mysql_dialect.patch: Adjust tests to account
      for Ubuntu sqlalchemy default mysql dialect being pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Dec 2015 13:05:37 -0500

python-oslo.db (4.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Change debian-branch to debian/mitaka.
  * d/control: Align requirements with upstream.
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Dec 2015 13:41:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: python-oslo.db
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -17,57 +19,51 @@
                      python-alembic (>= 0.8.0),
                      python-babel,
                      python-coverage,
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
-                     python-iso8601,
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.3),
-                     python-mysqldb,
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 2.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-tempest-lib (>= 0.6.1),
+                     python-tempest-lib (>= 0.14.0),
                      python-testresources,
-                     python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-alembic (>= 0.8.0),
                      python3-babel,
-                     python3-eventlet (>= 0.17.4),
+                     python3-eventlet (>= 0.18.4),
                      python3-fixtures (>= 1.3.1),
-                     python3-iso8601,
                      python3-migrate (>= 0.9.6),
                      python3-mock (>= 1.3),
-                     python3-mysqldb,
-                     python3-oslo.config (>= 1:2.3.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.context (>= 0.2.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.utils (>= 2.1.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
                      python3-psycopg2 (>= 2.5),
                      python3-pymysql,
                      python3-six (>= 1.9.0),
-                     python3-sqlalchemy (>= 0.9.9),
+                     python3-sqlalchemy (>= 1.0.10),
                      python3-stevedore (>= 1.5.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.6.1),
+                     python3-tempest-lib (>= 0.14.0),
                      python3-testresources,
-                     python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.db.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.db.git
-Homepage: http://launchpad.net/oslo
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.db.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.db.git
+Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.db
 Architecture: all
@@ -75,18 +71,15 @@
 Depends: alembic (>= 0.8.0),
          python-alembic (>= 0.8.0),
          python-babel,
-         python-iso8601,
          python-migrate (>= 0.9.6),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.utils (>= 2.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
-         python-testresources,
-         python-testscenarios,
          ${misc:Depends},
          ${python:Depends},
 Breaks: python-oslo-db (<< 1.10.0-1~),
@@ -104,18 +97,15 @@
 Depends: alembic (>= 0.8.0),
          python3-alembic (>= 0.8.0),
          python3-babel,
-         python3-iso8601,
          python3-migrate (>= 0.9.6),
-         python3-oslo.config (>= 1:2.3.0),
+         python3-oslo.config (>= 1:3.7.0),
          python3-oslo.context (>= 0.2.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.utils (>= 2.1.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
-         python3-sqlalchemy (>= 0.9.9),
+         python3-sqlalchemy (>= 1.0.10),
          python3-stevedore (>= 1.5.0),
-         python3-testresources,
-         python3-testscenarios,
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python-oslo-db (<< 1.10.0-1~),

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslo.db/oslo.db-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.db 4.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
alembic>=0.8.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.context!=2.6.0,>=2.4.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.db (4.9.0-1+115~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * .gitreview: Copy file from orig tar.
  * d/control: Align (Build-)Depends with upstream.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:04 +0000

=== debian/control ===
Source: python-oslo.db
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-alembic (>= 0.8.4),
                     python-babel,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python3-alembic (>= 0.8.4),
                     python3-babel,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 3.0.0),
                     python3-migrate (>= 0.9.6),
                     python3-mock (>= 2.0),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.config (>= 1:3.12.0),
                     python3-oslo.context (>= 2.4.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymysql,
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.db?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.db -b debian/newton
Homepage: https://launchpad.net/oslo

Package: python-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.4),
         python-alembic (>= 0.8.4),
         python-babel,
         python-debtcollector (>= 1.2.0),
         python-migrate (>= 0.9.6),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 2.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.db
Architecture: all
Provides: python-oslo-db,
Depends: alembic (>= 0.8.4),
         python3-alembic (>= 0.8.4),
         python3-babel,
         python3-debtcollector (>= 1.2.0),
         python3-migrate (>= 0.9.6),
         python3-oslo.config (>= 1:3.12.0),
         python3-oslo.context (>= 2.4.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 1.0.10),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python-oslo-db (<< 1.10.0-1~),
Replaces: python-oslo-db (<< 1.10.0-1~),
Description: database connectivity to the different backends and helper utils - Python 3.x
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the Python 3.x module.

Package: python-oslo.db-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: database connectivity to the different backends and helper utils - doc
 The Oslo database handling library is part of the OpenStack project. It
 provides database connectivity to the different backends and also provides
 helper utils.
 .
 This package contains the documentation.

Package: python-oslo-db
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.db,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-db
 This transitional package is safe to remove.

Package: python-oslo-db-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.db-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-db-doc
 This transitional package is safe to remove.
